Package com.sun.jna.platform.win32

# Class WinNT.EVENTLOGRECORD

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinNT.EVENTLOGRECORD

Enclosing interface:
  WinNT

@FieldOrder({"Length","Reserved","RecordNumber","TimeGenerated","TimeWritten","EventID","EventType","NumStrings","EventCategory","ReservedFlags","ClosingRecordNumber","StringOffset","UserSidLength","UserSidOffset","DataLength","DataOffset"}) public static class WinNT.EVENTLOGRECORD extends Structure
The EVENTLOGRECORD structure contains information about an event record returned by the ReadEventLog function.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `WinDef.DWORD`
  `ClosingRecordNumber`
  Reserved.
  `WinDef.DWORD`
  `DataLength`
  Size of the event-specific data (at the position indicated by DataOffset), in bytes.
  `WinDef.DWORD`
  `DataOffset`
  Offset of the event-specific information within this event log record, in bytes.
  `WinDef.WORD`
  `EventCategory`
  Category for this event.
  `WinDef.DWORD`
  `EventID`
  Event identifier.
  `WinDef.WORD`
  `EventType`
  Type of event.
  `WinDef.DWORD`
  `Length`
  Size of this event record, in bytes.
  `WinDef.WORD`
  `NumStrings`
  Number of strings present in the log (at the position indicated by StringOffset).
  `WinDef.DWORD`
  `RecordNumber`
  Record number of the record.
  `WinDef.DWORD`
  `Reserved`
  Reserved.
  `WinDef.WORD`
  `ReservedFlags`
  Reserved.
  `WinDef.DWORD`
  `StringOffset`
  Offset of the description strings within this event log record.
  `WinDef.DWORD`
  `TimeGenerated`
  Time at which this entry was submitted.
  `WinDef.DWORD`
  `TimeWritten`
  Time at which this entry was received by the service to be written to the log.
  `WinDef.DWORD`
  `UserSidLength`
  Size of the UserSid member, in bytes.
  `WinDef.DWORD`
  `UserSidOffset`
  Offset of the security identifier (SID) within this event log record.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EVENTLOGRECORD()`
  `EVENTLOGRECORD(Pointer p)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### Length

    public WinDef.DWORD Length
    Size of this event record, in bytes. Note that this value is stored at both ends of the entry to ease moving forward or backward through the log. The length includes any pad bytes inserted at the end of the record for DWORD alignment.

  - ### Reserved

    public WinDef.DWORD Reserved
    Reserved.

  - ### RecordNumber

    public WinDef.DWORD RecordNumber
    Record number of the record. This value can be used with the EVENTLOG_SEEK_READ flag in the ReadEventLog function to begin reading at a specified record.

  - ### TimeGenerated

    public WinDef.DWORD TimeGenerated
    Time at which this entry was submitted. This time is measured in the number of seconds elapsed since 00:00:00 January 1, 1970, Universal Coordinated Time.

  - ### TimeWritten

    public WinDef.DWORD TimeWritten
    Time at which this entry was received by the service to be written to the log. This time is measured in the number of seconds elapsed since 00:00:00 January 1, 1970, Universal Coordinated Time.

  - ### EventID

    public WinDef.DWORD EventID
    Event identifier. The value is specific to the event source for the event, and is used with source name to locate a description string in the message file for the event source.

  - ### EventType

    public WinDef.WORD EventType
    Type of event.

  - ### NumStrings

    public WinDef.WORD NumStrings
    Number of strings present in the log (at the position indicated by StringOffset). These strings are merged into the message before it is displayed to the user.

  - ### EventCategory

    public WinDef.WORD EventCategory
    Category for this event. The meaning of this value depends on the event source.

  - ### ReservedFlags

    public WinDef.WORD ReservedFlags
    Reserved.

  - ### ClosingRecordNumber

    public WinDef.DWORD ClosingRecordNumber
    Reserved.

  - ### StringOffset

    public WinDef.DWORD StringOffset
    Offset of the description strings within this event log record.

  - ### UserSidLength

    public WinDef.DWORD UserSidLength
    Size of the UserSid member, in bytes. This value can be zero if no security identifier was provided.

  - ### UserSidOffset

    public WinDef.DWORD UserSidOffset
    Offset of the security identifier (SID) within this event log record. To obtain the user name for this SID, use the LookupAccountSid function.

  - ### DataLength

    public WinDef.DWORD DataLength
    Size of the event-specific data (at the position indicated by DataOffset), in bytes.

  - ### DataOffset

    public WinDef.DWORD DataOffset
    Offset of the event-specific information within this event log record, in bytes. This information could be something specific (a disk driver might log the number of retries, for example), followed by binary information specific to the event being logged and to the source that generated the entry.

- ## Constructor Details

  - ### EVENTLOGRECORD

    public EVENTLOGRECORD()

  - ### EVENTLOGRECORD

    public EVENTLOGRECORD(Pointer p)